var search_data = {"index":{"searchIndex":["ezpool","checkedinuncheckedoutconnectionerror","connectcallableneverconfigured","connectionmanager","connectionwrapper","error","poolshuttingdownerror","timedstack","wrapper","<<()","abandon()","add_one()","age()","checkin()","checkout()","connect()","connect_with()","connect_with()","connection_stored?()","create_new()","disconnect()","disconnect_with()","disconnect_with()","empty?()","expired?()","fetch_connection()","fill()","get_time()","length()","method_missing()","monotonic_time()","new()","new()","new()","new()","new()","pool_shutdown()","pop()","push()","respond_to?()","shutdown()","shutdown()","shutdown!()","shutdown_connections()","store_connection()","try_create()","with()","with()","wrap()"],"longSearchIndex":["ezpool","ezpool::checkedinuncheckedoutconnectionerror","ezpool::connectcallableneverconfigured","ezpool::connectionmanager","ezpool::connectionwrapper","ezpool::error","ezpool::poolshuttingdownerror","ezpool::timedstack","ezpool::wrapper","ezpool::timedstack#<<()","ezpool::timedstack#abandon()","ezpool::timedstack#add_one()","ezpool::connectionwrapper#age()","ezpool#checkin()","ezpool#checkout()","ezpool::connectionmanager#connect()","ezpool#connect_with()","ezpool::connectionmanager#connect_with()","ezpool::timedstack#connection_stored?()","ezpool::connectionmanager#create_new()","ezpool::connectionmanager#disconnect()","ezpool#disconnect_with()","ezpool::connectionmanager#disconnect_with()","ezpool::timedstack#empty?()","ezpool#expired?()","ezpool::timedstack#fetch_connection()","ezpool::timedstack#fill()","ezpool#get_time()","ezpool::timedstack#length()","ezpool::wrapper#method_missing()","ezpool::monotonic_time()","ezpool::new()","ezpool::connectionmanager::new()","ezpool::connectionwrapper::new()","ezpool::timedstack::new()","ezpool::wrapper::new()","ezpool::wrapper#pool_shutdown()","ezpool::timedstack#pop()","ezpool::timedstack#push()","ezpool::wrapper#respond_to?()","ezpool#shutdown()","ezpool::timedstack#shutdown()","ezpool::connectionwrapper#shutdown!()","ezpool::timedstack#shutdown_connections()","ezpool::timedstack#store_connection()","ezpool::timedstack#try_create()","ezpool#with()","ezpool::wrapper#with()","ezpool::wrap()"],"info":[["EzPool","","EzPool.html","","<p>Generic connection pool class for e.g. sharing a limited number of network connections among many threads. …\n"],["EzPool::CheckedInUnCheckedOutConnectionError","","EzPool/CheckedInUnCheckedOutConnectionError.html","",""],["EzPool::ConnectCallableNeverConfigured","","EzPool/ConnectCallableNeverConfigured.html","",""],["EzPool::ConnectionManager","","EzPool/ConnectionManager.html","",""],["EzPool::ConnectionWrapper","","EzPool/ConnectionWrapper.html","",""],["EzPool::Error","","EzPool/Error.html","",""],["EzPool::PoolShuttingDownError","","EzPool/PoolShuttingDownError.html","","<p>Raised when you attempt to retrieve a connection from a pool that has been shut down.\n"],["EzPool::TimedStack","","EzPool/TimedStack.html","","<p>Examples:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">ts</span> = <span class=\"ruby-constant\">TimedStack</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">1</span>) { <span class=\"ruby-constant\">MyConnection</span>.<span class=\"ruby-identifier\">new</span> }\n\n<span class=\"ruby-comment\"># fetch a connection</span>\n<span class=\"ruby-identifier\">conn</span> = <span class=\"ruby-identifier\">ts</span>.<span class=\"ruby-identifier\">pop</span>\n\n<span class=\"ruby-comment\"># return a ...</span>\n</pre>\n"],["EzPool::Wrapper","","EzPool/Wrapper.html","",""],["<<","EzPool::TimedStack","EzPool/TimedStack.html#method-i-3C-3C","(wrapper, options = {})",""],["abandon","EzPool::TimedStack","EzPool/TimedStack.html#method-i-abandon","(connection_wrapper)","<p>Mark a connection as abandoned so that it cannot be used again. Will call the pre-configured shutdown …\n"],["add_one","EzPool::TimedStack","EzPool/TimedStack.html#method-i-add_one","()","<p>Add one connection to the queue\n<p>Returns true iff a connection was successfully created\n"],["age","EzPool::ConnectionWrapper","EzPool/ConnectionWrapper.html#method-i-age","()",""],["checkin","EzPool","EzPool.html#method-i-checkin","(conn)",""],["checkout","EzPool","EzPool.html#method-i-checkout","(options = {})",""],["connect","EzPool::ConnectionManager","EzPool/ConnectionManager.html#method-i-connect","()",""],["connect_with","EzPool","EzPool.html#method-i-connect_with","(&block)",""],["connect_with","EzPool::ConnectionManager","EzPool/ConnectionManager.html#method-i-connect_with","(&block)",""],["connection_stored?","EzPool::TimedStack","EzPool/TimedStack.html#method-i-connection_stored-3F","(options = nil)","<p>This is an extension point for TimedStack and is called with a mutex.\n<p>This method must returns true if …\n"],["create_new","EzPool::ConnectionManager","EzPool/ConnectionManager.html#method-i-create_new","()","<p>Create a new wrapped connection\n"],["disconnect","EzPool::ConnectionManager","EzPool/ConnectionManager.html#method-i-disconnect","(conn)",""],["disconnect_with","EzPool","EzPool.html#method-i-disconnect_with","(&block)",""],["disconnect_with","EzPool::ConnectionManager","EzPool/ConnectionManager.html#method-i-disconnect_with","(&block)",""],["empty?","EzPool::TimedStack","EzPool/TimedStack.html#method-i-empty-3F","()","<p>Returns <code>true</code> if there are no available connections.\n"],["expired?","EzPool","EzPool.html#method-i-expired-3F","(connection_wrapper)",""],["fetch_connection","EzPool::TimedStack","EzPool/TimedStack.html#method-i-fetch_connection","(options = nil)","<p>This is an extension point for TimedStack and is called with a mutex.\n<p>This method must return a connection …\n"],["fill","EzPool::TimedStack","EzPool/TimedStack.html#method-i-fill","()","<p>Pre-create all possible connections\n"],["get_time","EzPool","EzPool.html#method-i-get_time","()","<p>@!visibility private\n"],["length","EzPool::TimedStack","EzPool/TimedStack.html#method-i-length","()","<p>The number of connections available on the stack.\n"],["method_missing","EzPool::Wrapper","EzPool/Wrapper.html#method-i-method_missing","(name, *args, &block)",""],["monotonic_time","EzPool","EzPool.html#method-c-monotonic_time","()","<p>Returns the current time a tracked by the application monotonic clock.\n<p>@return [Float] The current monotonic …\n"],["new","EzPool","EzPool.html#method-c-new","(options = {}, &block)",""],["new","EzPool::ConnectionManager","EzPool/ConnectionManager.html#method-c-new","(connect_with, disconnect_with = nil)",""],["new","EzPool::ConnectionWrapper","EzPool/ConnectionWrapper.html#method-c-new","(conn, connection_manager)",""],["new","EzPool::TimedStack","EzPool/TimedStack.html#method-c-new","(connection_manager, size = 0)","<p>Creates a new pool with <code>size</code> connections that are created by constructing the given <code>connection_wrapper</code> …\n"],["new","EzPool::Wrapper","EzPool/Wrapper.html#method-c-new","(options = {}, &block)",""],["pool_shutdown","EzPool::Wrapper","EzPool/Wrapper.html#method-i-pool_shutdown","(&block)",""],["pop","EzPool::TimedStack","EzPool/TimedStack.html#method-i-pop","(timeout = 0.5, options = {})","<p>Retrieves a connection from the stack.  If a connection is available it is immediately returned.  If …\n"],["push","EzPool::TimedStack","EzPool/TimedStack.html#method-i-push","(wrapper, options = {})","<p>Returns <code>obj</code> to the stack.  <code>options</code> is ignored in TimedStack but may be used by subclasses that extend …\n"],["respond_to?","EzPool::Wrapper","EzPool/Wrapper.html#method-i-respond_to-3F","(id, *args)",""],["shutdown","EzPool","EzPool.html#method-i-shutdown","()",""],["shutdown","EzPool::TimedStack","EzPool/TimedStack.html#method-i-shutdown","()","<p>Shuts down the TimedStack which prevents connections from being checked out. Calls the shutdown program …\n"],["shutdown!","EzPool::ConnectionWrapper","EzPool/ConnectionWrapper.html#method-i-shutdown-21","()","<p>Shut down the connection. Can no longer be used after this!\n"],["shutdown_connections","EzPool::TimedStack","EzPool/TimedStack.html#method-i-shutdown_connections","(options = nil)","<p>This is an extension point for TimedStack and is called with a mutex.\n<p>This method must shut down all connections …\n"],["store_connection","EzPool::TimedStack","EzPool/TimedStack.html#method-i-store_connection","(obj, options = nil)","<p>This is an extension point for TimedStack and is called with a mutex.\n<p>This method must return <code>obj</code> to the …\n"],["try_create","EzPool::TimedStack","EzPool/TimedStack.html#method-i-try_create","(options = nil)","<p>This is an extension point for TimedStack and is called with a mutex.\n<p>This method must create a connection …\n"],["with","EzPool","EzPool.html#method-i-with","(options = {})","<p>MRI\n"],["with","EzPool::Wrapper","EzPool/Wrapper.html#method-i-with","(&block)",""],["wrap","EzPool","EzPool.html#method-c-wrap","(options, &block)",""]]}}